### Method

# St FocusManager add_group

#### Declaration [src]

    void
    st_focus_manager_add_group (
      StFocusManager* manager,
      StWidget* root
    )

#### Description [src]

Adds a new focus group to `manager`. When the focus is in an actor that is a descendant of `root`, `manager` will handle moving focus from one actor to another within `root` based on keyboard events.

#### Parameters

`root`

  Type: `StWidget`

  The root container of the group.

  The data is owned by the caller of the method.